Visit Our UNIX and Linux User Community


Invoking shell script from shell script


 
Thread Tools Search this Thread
Top Forums Shell Programming and Scripting Invoking shell script from shell script
# 8  
Old 12-06-2001
Network catching hungup

Hi,

I tried the statement :
read resp || exit 1

But it didn't catch the hungup signal.
Any more ideas please ?

Thanks,
kk.
# 9  
Old 12-07-2001
Sorry, I didn't fully understand your previous post.

You'd want to put something at the top of the script like this:
Code:
trap 'exit 1' 1

I don't know why it isn't doing that now, but this may help...
FYI, the syntax for a trap is:
trap '(what to do)' [signals to trap]
So the example above will tell the script inplicitly to 'exit 1' when it sees the HUP signal go by...

For a list of signals, issue the command:
kill -l
(lowercase L)
# 10  
Old 12-18-2001
There are two separate questions in this posting but I think Roshan is asking this, if I am not mistaken.

step1.sh file looks like this:
------------------
next=step2.sh
this=step1.sh
logfile=mylog.log
.
.
#invoke next script:
. $HOME/bin/$next

# terminate processing if control comes back to this script
# or if $next is not found to execute
es=$?
if [[ $es != 0 ]]; then
print "`date +%T` Error could not start $next or it terminated"\
"abnormally; exit status was $es" >>$logfile
exit 1
else
exit 0
fi

Gianni
# 11  
Old 03-28-2006
invoke the shell script using . XXXX.ksh(to execute it in the current shell). Give space after the "."
Then you can use
status=$?
if [ $status -eq 0 ]
then
echo "Invoked script is successful"
else
echo "Invoked shell script failed with the status of $status"
fi

have you tried it and is it not working

Previous Thread | Next Thread
Test Your Knowledge in Computers #56
Difficulty: Easy
A flip-flop circuit stores 1 bit of data.
True or False?

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

Invoking Application in Shell Script

Hi All, I have a scenario : 1. A list of servers naming server21, server 22, server 23 etc. This list of servers is separate for my environments. Env1 has 3 server Env2 has 5 serves Env3 has 10 servers 2. Each server accesses application through which I want to invoke some method. So... (7 Replies)
Discussion started by: ankur328
7 Replies

2. Shell Programming and Scripting

Problem invoking shell script

whats wrong here?! ________________ #!/bin/sh # FILE: clean_dirs # GOAL : To clean up directories used in Oracle processing # LANGUAGE : shell script (sh) # PARAMETERS : Input_File # 11/07/02 acri - modified to cd into the directory so it will... (7 Replies)
Discussion started by: gillraj
7 Replies

3. Shell Programming and Scripting

Invoking one shell script from another unix box

Hello All, I have a shell script A which is in one unix box. Also i have a script B in another unix box. Now i'm struggling to find a way to invoke A shell script from B shell script. Is it possible to do this in any way..Request you anybody please help me in this point. Thanks in advance. (6 Replies)
Discussion started by: RSC1985
6 Replies

4. UNIX for Advanced & Expert Users

Invoking shell script with perl command.

Hi All, I am using the following command to invoke the shell script from a perl command. perl -i.bak -pe'BEGIN { $cmd = "/opt/coreservices/tomcat-5.5.9/bin/digest.sh -a sha"; } s/(password=")(*)/ $1.`$cmd $2|cut -d: -f2|tr -d "\n"` /e ' $CATALINA_HOME/conf/tomcat-users.xml I need... (1 Reply)
Discussion started by: nua7
1 Replies

5. Shell Programming and Scripting

invoking a shell script inside cgi shell script

Hi, I have an HTML form through which I get some text as input. i need to run a shell script say script.sh inside a perl-cgi script named main_cgi.sh on the form input. I want to write the contents of the form in a file and then perform some command line operations like grep, cat on the text... (2 Replies)
Discussion started by: smriti_shridhar
2 Replies

6. Shell Programming and Scripting

returning to the parent shell after invoking a script within a script

Hi everybody, I have a script in which I'm invoking another script which runs in a subshell. after the script is executed I want to return to the parent shell as some variables are set. However i'm unable to return to my original shell as the script which i'm calling inside is invoked in... (5 Replies)
Discussion started by: gurukottur
5 Replies

7. Shell Programming and Scripting

Invoking Shell Script via php

list me commands to invoke a shell script from php once the submit button is clicked in the php page. Requirement is Once a submit button is clicked it should run a script that displays the outcome of the script in a html/php. Please help. Thanks in Advance, BubeshJ (2 Replies)
Discussion started by: bubeshj
2 Replies

8. Shell Programming and Scripting

Invoking shell script from html/jsp page

I want to invoke shell script named bubesh.sh when submit button clicked on html/jsp page.I am using an apache server and the html & shell script are in the same working directory.Please help. (2 Replies)
Discussion started by: bubeshj
2 Replies

9. Shell Programming and Scripting

invoking one shell script from other

hi, i am one day old in shell scritpting. how to invoke one shell script from the other? For eg.i have two shell scripts A.sh and B.sh. Inside A.sh i need to invoke B.sh and the return code of A.sh should be the value returned by B.sh. it would be better if you provide any sample shell... (3 Replies)
Discussion started by: ajay xavier
3 Replies

10. Shell Programming and Scripting

Wrong Shell Invoking My Script On Linux

I have a shell script that does NOT have the '#!' line at the top. It is written for ksh. The shell in my passwd entry is '/usr/bin/ksh' and my SHELL env variable is '/usr/bin/ksh'. Now, here's the issue. I invoke the script on Solaris with './myprog'. This works fine. I also run the same... (3 Replies)
Discussion started by: kowrip
3 Replies

Featured Tech Videos